Wireshark-dev: Re: [Wireshark-dev] GTK3 problems
From: Bill Meier <[email protected]>
Date: Mon, 16 Jul 2012 14:50:18 -0400
On 7/16/2012 2:18 PM, Stephen Fisher wrote:
---- On Sun, 15 Jul 2012 08:56:28 -0600 Joerg Mayer  wrote ----

I opened https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7377
a while ago but except for one person who added a "me too" nothing
happend. This problem basically makes the GTK3 version unuseable on
my system.
!(me too)

I just rebuilt Wireshark from the SVN trunk using GTK3 and the
statusbar looks normal. My build information is below -- it's still GTK 3.0.12
from FreeBSD ports. Maybe the problem comes from newer GTK versions? You
listed 3.2 and the next person was 3.5.


wireshark 1.9.0 (SVN Rev 43755 from /trunk)

Copyright 1998-2012 Gerald Combs <[email protected]> and contributors.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compiled (64-bit) with GTK+ 3.0.12, with Cairo 1.10.2, with Pango 1.28.4, with
GLib 2.28.8, with libpcap, with libz 1.2.5, without POSIX capabilities, without
libnl, with SMI 0.4.8, with c-ares 1.9.1, without Lua, without Python, with
GnuTLS 2.12.18, with Gcrypt 1.5.0, with Heimdal Kerberos, without GeoIP, without
PortAudio, with AirPcap.

Running on FreeBSD 9.0-RELEASE-p3, without locale, with libpcap version 1.1.1,
with libz 1.2.5, GnuTLS 2.12.18, Gcrypt 1.5.0, without AirPcap.

Built using gcc 4.2.1 20070831 patched [FreeBSD].

My GTK3 Wireshark definitely shows the problem.

I'm in the midst of digging into the issue.


Compiled (32-bit) with GTK+ 3.4.3, with Cairo 1.10.2, with Pango 1.30.0,
with GLib 2.32.3, with libpcap, with libz 1.2.5, without POSIX capabilities, without libnl, with SMI 0.4.8, with c-ares 1.7.5, with Lua 5.1, without Python, with GnuTLS 2.12.17, with Gcrypt 1.5.0, with MIT Kerberos, with GeoIP, with PortAudio V19-devel (built Jan 15 2012 21:55:20), with AirPcap.
Running on Linux 3.4.4-5.fc17.i686.PAE, with locale en_US.UTF-8, with 
libpcap version 1.2.1, with libz 1.2.5, GnuTLS 2.12.17, Gcrypt 1.5.0, 
without AirPcap.
Built using gcc 4.7.0 20120507 (Red Hat 4.7.0-5).